Subject: Re: About monta-vista linux for ppc 405gp

From: Frank Rowand <[email-masked]>
Date: Wed, 17 Jan 2001 12:03:53 -0800

Hua Ji wrote:
>
> Thanks Frank.
>
> I already loaded the linux package. A quick question.
> From makefile, I didn't see support for 405GP, but I do see the support for
> 403.

-mcpu=403 is correct for the 405.  That may eventually change with a newer compiler.

> Also, for 4xx, the kernel init codes is started from head_4xx.S. Am I right?

Yes, that is correct.

> Thanks -Hua
>
> --------------------
> ifdef CONFIG_4xx
> CFLAGS := $(CFLAGS) -mcpu=403
> endif
>
> ifdef CONFIG_8xx
> CFLAGS := $(CFLAGS) -mcpu=860 -I../8xx_io
> endif
>
> ifdef CONFIG_PPC64BRIDGE
> CFLAGS := $(CFLAGS) -Wa,-mppc64bridge
> endif
>
> ifdef CONFIG_4xx
>   HEAD := arch/ppc/kernel/head_4xx.o
> else
> -----------------------

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/